<template>
	<div>
		<v-header :title="title" :is-show-prev-page="true"></v-header>
		<div style="padding:20px;">
    		<editor :ossCof="ossCof" :filePath="filePath" :value="msg1" @getEditorContent="getEditorContent"></editor>
		</div>
	</div>
</template>

<script>
import VHeader from '@/common/header/VHeader';
import Editor from '@/common/Editor';
import ossConfig from '@/assets/ossConfig.js';
import ossPaths from '@/assets/ossPaths.js';
export default {
	name: 'testEditor',
	components: {
		VHeader,
    	Editor
	},
	data() {
		return {
			title: 'Editor',
			msg1: 'Welcome to Your Vue.js App',
			ossCof: ossConfig.bussinessFileBucket,
			filePath: ossPaths.etags,
		};
	},
	methods: {
		init() {},
	    getEditorContent (val) {
	      	this.msg1 = val;
	    }
	},
	created() {},
	mounted() {
		this.init();
	}
};
</script>

<style lang="stylus" scoped>
	
</style>
